/*******************************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *******************************************************************************/
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.1.1-b02-fcs 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2008.09.15 at 12:57:27 PM IDT 
//

package org.apache.wink.common.model.app;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

import org.apache.wink.common.model.atom.AtomCommonAttributesSimpleContent;

/**
 * The "app:accept" Element Per RFC5023
 * 
 * <pre>
 * The &quot;app:accept&quot; Element
 * 
 *    The content of an &quot;app:accept&quot; element value is a media range as
 *    defined in [RFC2616].  The media range specifies a type of
 *    representation that can be POSTed to a Collection.
 * 
 *    The app:accept element is similar to the HTTP Accept request-header
 *    [RFC2616].  Media type parameters are allowed within app:accept, but
 *    app:accept has no notion of preference -- &quot;accept-params&quot; or &quot;q&quot;
 *    arguments, as specified in Section 14.1 of [RFC2616] are not
 *    significant.
 * 
 *    White space (as defined in [REC-xml]) around the app:accept element's
 *    media range is insignificant and MUST be ignored.
 * 
 *    A value of &quot;application/atom+xml;type=entry&quot; MAY appear in any app:
 *    accept list of media ranges and indicates that Atom Entry Documents
 *    can be POSTed to the Collection.  If no app:accept element is
 *    present, clients SHOULD treat this as equivalent to an app:accept
 *    element with the content &quot;application/atom+xml;type=entry&quot;.
 * 
 *    If one app:accept element exists and is empty, clients SHOULD assume
 *    that the Collection does not support the creation of new Entries.
 * 
 *    appAccept =
 *       element app:accept {
 *             appCommonAttributes,
 *             ( text? )
 *       }
 * 
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "appAccept")
public class AppAccept extends AtomCommonAttributesSimpleContent {

}
